Skip to content
Browse files

Moved more code out of the bin and into the CommandLine class. Bumped…

… to 0.1.7
  • Loading branch information...
1 parent 841c5a4 commit b2f282ce2e24be27e07ba880f0f5446e2fba6487 @javan javan committed Mar 5, 2009
Showing with 8 additions and 10 deletions.
  1. +1 −1 CHANGELOG.rdoc
  2. +1 −1 README.rdoc
  3. +1 −6 bin/whenever
  4. +3 −0 lib/command_line.rb
  5. +1 −1 lib/version.rb
  6. +1 −1 whenever.gemspec
View
2 CHANGELOG.rdoc
@@ -1,4 +1,4 @@
-== 0.1.6 / March 5th, 2009
+== 0.1.7 / March 5th, 2009
* Added ability to update the crontab file non-destuctively instead of only overwriting it. [Javan Makhmali -- Inspired by code submitted individually from: Tien Dung (tiendung), Tom Lea (cwninja), Kyle Maxwell (fizx), and Andrew Timberlake (andrewtimberlake) on github]
View
2 README.rdoc
@@ -14,7 +14,7 @@ In a Rails (2.1 or greater) application:
in your "config/environment.rb" file:
Rails::Initializer.run do |config|
- config.gem 'javan-whenever', :lib => false, :version => '>= 0.1.6' :source => 'http://gems.github.com'
+ config.gem 'javan-whenever', :lib => false, :version => '>= 0.1.7' :source => 'http://gems.github.com'
end
To install this gem (and all other missing gem dependencies), run rake gems:install (use sudo if necessary).
View
7 bin/whenever
@@ -26,9 +26,4 @@ OptionParser.new do |opts|
end
end.parse!
-if options[:update] || options[:write]
- Whenever::CommandLine.execute(options)
-else
- puts Whenever.cron(:file => options[:file])
- exit
-end
+Whenever::CommandLine.execute(options)
View
3 lib/command_line.rb
@@ -27,6 +27,9 @@ def run
write_crontab(updated_crontab)
elsif @options[:write]
write_crontab(whenever_cron)
+ else
+ puts Whenever.cron(:file => @options[:file])
+ exit
end
end
View
2 lib/version.rb
@@ -2,7 +2,7 @@ module Whenever
module VERSION #:nodoc:
MAJOR = 0
MINOR = 1
- TINY = 6
+ TINY = 7
STRING = [MAJOR, MINOR, TINY].join('.')
end
View
2 whenever.gemspec
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{whenever}
- s.version = "0.1.6"
+ s.version = "0.1.7"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["Javan Makhmali"]

0 comments on commit b2f282c

Please sign in to comment.
Something went wrong with that request. Please try again.